Bug 253343 - Machine hangs during boot with new LCD monitor
Machine hangs during boot with new LCD monitor
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome (Show other bugs)
7
x86_64 Linux
urgent Severity high
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-17 20:50 EDT by Graham freeman
Modified: 2008-01-22 05:57 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.2.900-7.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-22 05:57:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log from the attempt to run X Windows (39.90 KB, text/plain)
2007-08-17 20:50 EDT, Graham freeman
no flags Details
xorg.conf file (829 bytes, text/plain)
2007-08-17 20:52 EDT, Graham freeman
no flags Details
I removed the xorg.conf and rebooted. This is the Xorg.0.log that resulted. (47.74 KB, text/plain)
2007-08-28 07:28 EDT, Graham freeman
no flags Details
xorg.conf generated by "X -configure" on a different machine with a SIS video card (8.13 KB, text/plain)
2007-08-30 08:03 EDT, Graham freeman
no flags Details
The log file generated when starting up on the SIS hardware, using the xorg.conf generated by "X -configure" (36.40 KB, text/plain)
2007-08-30 08:04 EDT, Graham freeman
no flags Details
This xorg.conf file was generated with the L204WT connected to the SIS hardware, and running system-config-display (829 bytes, text/plain)
2007-08-30 08:07 EDT, Graham freeman
no flags Details
This is the log file generated with the L204WT connected to SIS card and xorg.conf generated by system-config-display (34.75 KB, text/plain)
2007-08-30 08:10 EDT, Graham freeman
no flags Details
Running "X -configure" on the hardware with the VIA card gives this xorg.conf file (2.94 KB, text/plain)
2007-08-30 08:14 EDT, Graham freeman
no flags Details
And finally, the log file from the machine with the VIA card and the xorg.cong coming from "X -configure" (42.62 KB, text/plain)
2007-08-30 08:16 EDT, Graham freeman
no flags Details

  None (edit)
Description Graham freeman 2007-08-17 20:50:47 EDT
Description of problem:
I am struggling to get my new LG L204WT LCD monitor working with an analog
connection.  There have been posts to other forums suggesting including MODE
lines in the xorg.conf file, but I have had no success with them.  I am able to
boot it to level 3, and then remotely login from another machine to run
system-config-display to generate a new xorg.conf file.

If I boot the machine normally, instead of an error message from the monitor
about clock frequency, I now get some of the X11 graphics working.  They occupy
about 70% of the width of the screen, rather compressed horizontally, but
everything is readable.

However, it does not reach the final login stage.  It momentarily switches to
text mode with "login:" in the top left corner before the login screen should be
put up, but the login screen never appears.  The cursor is shown as busy and
very slowly follows mouse movement.  I get no response when I attempt to ping
from another machine, and the machine is effectively in a hang state, and does
not respond to Ctrl-Alt-Backspace to close down X-windows or Ctrl-Alt-Delete.  

If I boot to level 3 and then type startx, the screen goes black with no cursor,
and responds to nothing.

Version-Release number of selected component (if applicable):
I am using Fedora Core 6.

How reproducible:
The machine is unusable except in text mode, or by remotely accessing it.

Steps to Reproduce:
1. Run system-config-display to generate the xorg.conf
2. Attempt to boot
3.
  
Actual results:
Hang state; no response to ping or ssh when attempting to remotely access it.

Expected results:
Fedora login screen should be shown, and remote login should be possible
Comment 1 Graham freeman 2007-08-17 20:50:47 EDT
Created attachment 161778 [details]
Xorg.0.log from the attempt to run X Windows
Comment 2 Graham freeman 2007-08-17 20:52:39 EDT
Created attachment 161779 [details]
xorg.conf file
Comment 3 Matěj Cepl 2007-08-27 09:52:26 EDT
Could you try to rename /etc/X11/xorg.conf to something else, so that xorg
wouldn't find it, and then restart X? Does it work? Could you attach
/var/log/Xorg.0.log from this attempt as well, please?
Comment 4 Graham freeman 2007-08-28 07:28:04 EDT
Created attachment 175941 [details]
I removed the xorg.conf and rebooted.  This is the Xorg.0.log that resulted.

The symptoms were the same as with the xorg.conf file: when it attempted to go
to the login phase with X-windows enabled, the machine went into a hang state
with a black screen and no cursor; I got no response when attempting to ping
from another machine on the network.
Comment 5 Graham freeman 2007-08-30 08:03:06 EDT
Created attachment 180801 [details]
xorg.conf generated by "X -configure" on a different machine with a SIS video card

When X Windows is run on this different machine with the L204WT monitor, I get
some success.  X Windows does not freeze up.  The screen is not filled,
however.  The content is horizontally compressed, occupying only 36cm of the
the 44 cm width of the screen (placed towards the right side, with a wide black
band down the left side and a narrow black band down the right side).
Comment 6 Graham freeman 2007-08-30 08:04:51 EDT
Created attachment 180821 [details]
The log file generated when starting up on the SIS hardware, using the xorg.conf generated by "X -configure"
Comment 7 Graham freeman 2007-08-30 08:07:47 EDT
Created attachment 180841 [details]
This xorg.conf file was generated with the L204WT connected to the SIS hardware, and running system-config-display

The behaviour of the monitor is no different when xorg.conf is generated by
system-config-display.
Comment 8 Graham freeman 2007-08-30 08:10:49 EDT
Created attachment 180861 [details]
This is the log file generated with the L204WT connected to SIS card and xorg.conf generated by system-config-display

X windows is better able to handle the SIS video card than the VIA, though the
timing of the signal is not right.
Comment 9 Graham freeman 2007-08-30 08:14:15 EDT
Created attachment 180881 [details]
Running "X -configure" on the hardware with the VIA card gives this xorg.conf file

As a final test, I return to the machine that the monitor was bought for, with
the VIA video card.  Starting X Windows with this xorg.conf file again causes
the screen to go black and the machine to freeze, unresponsive to any
keystrokes, ping, or ssh from another machine.
Comment 10 Graham freeman 2007-08-30 08:16:39 EDT
Created attachment 180901 [details]
And finally, the log file from the machine with the VIA card and the xorg.cong coming from "X -configure"

I hope that these files are of some use.  There is a problem with the L204WT on
both machines, but it is completely unusable with the VIA card.
Comment 11 Adam Jackson 2007-11-28 11:10:39 EST
Mass migration: via -> openchrome.
Comment 12 Xavier Bachelot 2007-11-28 16:46:27 EST
Please retry with xorg-x11-drv-openchrome. This is the successor to
xorg-x11-drv-via.
Comment 13 Matěj Cepl 2008-01-21 10:48:23 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 14 Graham freeman 2008-01-21 17:48:04 EST
I am sorry for not replying or trying out your suggestion.  I looked for the
documentation on openchrome but there was not any.  My concern was how to undo
the "yum install xorg-x11-drv-openchrome" if it does not help.  I have two
machines running Linux, and the one with the VIA card is my production machine
which I need to keep running.  I bought a second monitor, an Acer, which worked
perfectly when plugged in, so I moved the LG monitor to my smaller test machine
with an SiS card.  With that card, the monitor does not crash the machine, and
by running xvditune whenever I log in, I am able to get it to fill the screen
with the correct resolution almost satisfactorily.

If you can tell me how I can disable openchrome after the test and return to the
current configuration, I will swap the monitors and test out the new software.
Comment 15 Xavier Bachelot 2008-01-21 18:02:48 EST
xorg-x11-drv-openchrome can be installed at the same time than xorg-x11-drv-via.
You will only have to change the driver in xorg.conf from 'via' to 'openchrome'
and back if the openchrome driver doesn't work.
Can you please provide both the xorg conf and the xorg log while running
openchrome ?
It is unlikely that you are still running rawhide on this machine as
xorg-x11-drv-via is broken and xorg-x11-drv-openchrome has just recently been
fixed, so can you please correct the version field of the bug report from
rawhide to whatever Fedora release you're currently running ?
Comment 16 Graham freeman 2008-01-21 21:30:48 EST
I have tried openchrome as you have suggested.  This fixes the problem of X
Windows crashing just before login when trying to drive the LG L204wt monitor. 
Openchrome works perfectly with Acer AL2016W monitor as well, so there is no
need for me to switch back to the VIA driver.

This fixes the originally reported problem, thanks.

The only problem that remains is that the LG monitor does not have a correct
Mode specification.  It is specific to that monitor and is independent of
graphics card .  I have reported that problem independently.

[The version of Fedora I am using is Core 7.]

I appreciate your fine work.
Comment 17 Xavier Bachelot 2008-01-22 05:57:02 EST
Thanks for testing Graham. I close the bug.

Regards,
Xavier

Note You need to log in before you can comment on or make changes to this bug.